Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Assembly_Service_Impl Class Reference

`#include <Assembly_Service_Impl.h>`

List of all members.

## Public Methods
| Assembly_Service_Impl (CORBA::ORB_ptr o, PortableServer::POA_ptr p, Components::Deployment::AssemblyFactory_ptr f)
| Constructor.
virtual | ~Assembly_Service_Impl (void)
| Destructor.
virtual PortableServer::POA_ptr | _default_POA (void)

## Constructor & Destructor Documentation

CIAO::Assembly_Service_Impl::Assembly_Service_Impl | ( | CORBA::ORB_ptr | o,
|  | PortableServer::POA_ptr | p,
|  | Components::Deployment::AssemblyFactory_ptr | f
| ) |

| Constructor.

CIAO::Assembly_Service_Impl::~Assembly_Service_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

PortableServer::POA_ptr CIAO::Assembly_Service_Impl::_default_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *not* increase the reference count of the POA.

The documentation for this class was generated from the following files:

- Assembly_Service_Impl.h
- Assembly_Service_Impl.cpp